=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                libkf5widgetsaddons-dev (>= 5.91~),
                libkf5windowsystem-dev (>= 5.91~),
                libkf5xmlgui-dev (>= 5.91~),
-               libktorrent-dev (>= 23.08.0~),
+               libktorrent-dev (>= 23.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libtag1-dev,
