## ktorrent 24.08.2

=== debian/changelog ===
ktorrent (24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:43:32 +0000

ktorrent (24.08.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update project homepage.
  * Move to declarative dh-sequence-kf6, reenable build-time tests.
  * Update the list of installed files.
  * Replace transitional pkg-config build dependency with pkgconf.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 15 Sep 2024 20:13:54 +0200

ktorrent (22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Update the build dependencies according to the upstream build system:
    - drop unused kross-dev, and qtscript5-dev
  * Drop NEWS file, as the latest entry there was added in 2008.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jul 2023 06:03:13 +0200
