=== debian/changelog ===
ktorrent (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current verion of libktorrent.

 -- Rik Mills <rikmills@kde.org>  Sat, 22 Mar 2025 11:14:40 +0000

ktorrent (24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 21 Mar 2025 17:39:46 +0100
