## ktorrent 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KTorrent VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -18,9 +18,9 @@
                 -D'VERSION_MINOR=${RELEASE_SERVICE_VERSION_MINOR_INT}'
                 -D'VERSION_MICRO=${RELEASE_SERVICE_VERSION_MICRO}')
 
-set (QT_MIN_VERSION "6.5.0")
+set (QT_MIN_VERSION "6.7.0")
 set (KF_MIN_VERSION "5.240.0")
-set (LIBKTORRENT_MIN_VERSION "24.04.70")
+set (LIBKTORRENT_MIN_VERSION "25.03.70")
 set (Boost_MIN_VERSION "1.71.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -63,7 +63,6 @@
     NotifyConfig
     KCMUtils
     Parts
-    Solid
     StatusNotifierItem
     WidgetsAddons
     WindowSystem
@@ -73,11 +72,6 @@
 )
 
 find_package(Qt6Core5Compat ${QT_MIN_VERSION})
-set_package_properties(Qt6Core5Compat
-  PROPERTIES
-  TYPE REQUIRED
-  PURPOSE "PUBLIC Required for libktorrent"
-)
 
 find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
 set_package_properties(Qt6Test PROPERTIES
@@ -205,7 +199,7 @@
   -DQT_NO_KEYWORDS
   -DQT_USE_FAST_OPERATOR_PLUS
 )
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060500)
 add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
 
 set (KTORRENT_DBUS_XML_DIR ${CMAKE_SOURCE_DIR}/dbus_xml)
