=== plugins/CMakeLists.txt ===
MACRO (MACRO_KT_PLUGIN _option _name _dir)
option(${_option} "Whether to build the ${_name} plugin or not" true)
if (${_option})
  message(STATUS "Building ${_name} plugin (-D${_option}=false to disable)")
  add_subdirectory(${_dir})
else (${_option})
  message(STATUS "Not building ${_name} plugin (-D${_option}=true to enable)")
endif (${_option})
ENDMACRO (MACRO_KT_PLUGIN)

function(ktorrent_add_plugin name)
    kcoreaddons_add_plugin(${name} INSTALL_NAMESPACE "ktorrent_plugins")
endfunction()

macro_kt_plugin(ENABLE_LOGVIEWER_PLUGIN logviewer logviewer)
macro_kt_plugin(ENABLE_INFOWIDGET_PLUGIN infowidget infowidget)
if (HAVE_KF6Completion)
    macro_kt_plugin(ENABLE_UPNP_PLUGIN upnp upnp)
endif()
if (HAVE_Qt6WebEngineWidgets)
  macro_kt_plugin(ENABLE_SEARCH_PLUGIN search search)
endif()
macro_kt_plugin(ENABLE_SCANFOLDER_PLUGIN scanfolder scanfolder)
macro_kt_plugin(ENABLE_SCANFOLDER_PLUGIN scanforlostfiles scanforlostfiles)
if(HAVE_QT6_Test)
  set(HAVE_QT6_Test2 1)
endif()
if (HAVE_KF6TextWidgets)
    macro_kt_plugin(ENABLE_IPFILTER_PLUGIN ipfilter ipfilter)
endif()
if (HAVE_KF6Plotting)
    macro_kt_plugin(ENABLE_STATS_PLUGIN stats stats)
endif()
macro_kt_plugin(ENABLE_BWSCHEDULER_PLUGIN bwscheduler bwscheduler)
if (HAVE_Taglib AND PHONON_FOUND_EXPERIMENTAL) #AND Qt6Multimedia_FOUND)
  macro_kt_plugin(ENABLE_MEDIAPLAYER_PLUGIN mediaplayer mediaplayer)
endif()
if (HAVE_KF6Syndication AND HAVE_Qt6WebEngineWidgets)
  macro_kt_plugin(ENABLE_SYNDICATION_PLUGIN syndication syndication)
endif()
macro_kt_plugin(ENABLE_DOWNLOADORDER_PLUGIN downloadorder downloadorder)
macro_kt_plugin(ENABLE_SHUTDOWN_PLUGIN shutdown shutdown)
if (HAVE_KF6DNSSD)
  macro_kt_plugin(ENABLE_ZEROCONF_PLUGIN zeroconf zeroconf)
endif()
macro_kt_plugin(ENABLE_MAGNETGENERATOR_PLUGIN magnetgenerator magnetgenerator)
