=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -36,22 +35,22 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 24.12.3~),
+               libktorrent-dev (>= 25.03.70~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libtag-dev,
                pkgconf,
-               qt6-5compat-dev (>= 6.5.0~),
-               qt6-base-dev (>= 6.5.0~),
-               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
+               qt6-5compat-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/ktorrent
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktorrent
 
 Package: ktorrent
 Architecture: any
