=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libboost-dev (>= 1.71.0~),
@@ -35,22 +36,22 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 25.03.70~),
+               libktorrent-dev (>= 25.04.3~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libtag-dev,
                pkgconf,
-               qt6-5compat-dev (>= 6.7.0~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
+               qt6-5compat-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/ktorrent
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktorrent
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
 
 Package: ktorrent
 Architecture: any
