## ktorrent 25.07.80

=== debian/changelog ===
ktorrent (25.07.80-0ubuntu2) questing; urgency=medium

  * Add build depend on libssl-dev

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 13:18:17 +0100

ktorrent (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:21:27 +0100
