=== debian/control ===
--- 
+++ 
@@ -36,10 +36,11 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 25.04.3~),
+               libktorrent-dev (>= 25.07.80~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
+               libssl-dev,
                libtag-dev,
                pkgconf,
                qt6-5compat-dev (>= 6.5.0~),
