## ktorrent 25.08.0

=== debian/changelog ===
ktorrent (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:57:50 +0100
